=== modified file 'bzrlib/tests/blackbox/test_status.py'
--- bzrlib/tests/blackbox/test_status.py	2007-07-25 22:03:13 +0000
+++ bzrlib/tests/blackbox/test_status.py	2007-08-08 02:00:07 +0000
@@ -296,17 +296,17 @@
 class TestStatus(TestCaseWithTransport):
 
     def test_status_plain(self):
-        self.run_bzr("init")
+        tree = self.make_branch_and_tree('.')
 
         self.build_tree(['hello.txt'])
         result = self.run_bzr("status")[0]
         self.assertContainsRe(result, "unknown:\n  hello.txt\n")
 
-        self.run_bzr("add hello.txt")
+        tree.add("hello.txt")
         result = self.run_bzr("status")[0]
         self.assertContainsRe(result, "added:\n  hello.txt\n")
 
-        self.run_bzr("commit -m added")
+        tree.commit(message="added")
         result = self.run_bzr("status -r 0..1")[0]
         self.assertContainsRe(result, "added:\n  hello.txt\n")
 
@@ -318,17 +318,17 @@
         self.assertEquals(result2, result)
 
     def test_status_short(self):
-        self.run_bzr("init")
+        tree = self.make_branch_and_tree('.')
 
         self.build_tree(['hello.txt'])
         result = self.run_bzr("status --short")[0]
         self.assertContainsRe(result, "[?]   hello.txt\n")
 
-        self.run_bzr("add hello.txt")
+        tree.add("hello.txt")
         result = self.run_bzr("status --short")[0]
         self.assertContainsRe(result, "[+]N  hello.txt\n")
 
-        self.run_bzr("commit -m added")
+        tree.commit(message="added")
         result = self.run_bzr("status --short -r 0..1")[0]
         self.assertContainsRe(result, "[+]N  hello.txt\n")
 
@@ -340,17 +340,17 @@
         self.assertEquals(result2, result)
 
     def test_status_versioned(self):
-        self.run_bzr("init")
+        tree = self.make_branch_and_tree('.')
 
         self.build_tree(['hello.txt'])
         result = self.run_bzr("status --versioned")[0]
         self.assertNotContainsRe(result, "unknown:\n  hello.txt\n")
 
-        self.run_bzr("add hello.txt")
+        tree.add("hello.txt")
         result = self.run_bzr("status --versioned")[0]
         self.assertContainsRe(result, "added:\n  hello.txt\n")
 
-        self.run_bzr("commit -m added")
+        tree.commit("added")
         result = self.run_bzr("status --versioned -r 0..1")[0]
         self.assertContainsRe(result, "added:\n  hello.txt\n")
 

=== modified file 'bzrlib/tests/blackbox/test_update.py'
--- bzrlib/tests/blackbox/test_update.py	2007-07-04 08:46:22 +0000
+++ bzrlib/tests/blackbox/test_update.py	2007-08-08 02:01:10 +0000
@@ -29,13 +29,13 @@
 class TestUpdate(ExternalBase):
 
     def test_update_standalone_trivial(self):
-        self.run_bzr("init")
+        self.make_branch_and_tree('.')
         out, err = self.run_bzr('update')
         self.assertEqual('Tree is up to date at revision 0.\n', err)
         self.assertEqual('', out)
 
     def test_update_standalone_trivial_with_alias_up(self):
-        self.run_bzr("init")
+        self.make_branch_and_tree('.')
         out, err = self.run_bzr('up')
         self.assertEqual('Tree is up to date at revision 0.\n', err)
         self.assertEqual('', out)

